Description

Fichier fsw_spacewire.c

Dans la fonction timecode_irq_handler( )

Le masque utilisé pour recuperer le time-code valide est 0xff.

Hors le time-code comprend 2 bits de controle (les 2 bits de poids forts) et 6 bits pour la valeur.

Conclusion si on veut etre conforme, il faut utiliser le masque $3f.

History

#1 - 20/01/2016 11:34 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Est-on s(r que les bits de contréle ne doivent pas étre conservés? lls font peut-étre partie du timecode, qui serait composé d'une valeur et de deux
bits de contréle. Tu peux me confirmer ¢a?

#2 - 20/01/2016 03:06 PM - Veronique bouzid

- Assignee changed from Veronique bouzid to paul leroy

Envoi d'un mail a Philippe :
Bonjour,
Nous nous interrogeons avec Paul sur le format du time-code.

Le time-code est decrit dans le document
(http://spacewire.esa.int/content/home/Time-Codes.php).

Nous voulions savoir si les 2 bits identifiés comme bits de contréle sont
utilisés (b7,b6)?

Si oui, cela signifie que le time-code est codé sur les 6 bits et varie de 0
a63.

La réponse de Philippe

Selon le standard SpaceWire, ces 2 bits de controle b6 et b7 sont
"réservés a un usage futur" et doivent toujours avoir la valeur 0. Le
time-code est donc bien codé sur 6 bits et varie de 0 a 63.
Cordialement,

Philippe

#3 - 22/01/2016 05:00 PM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

La modification a été faite dans fsw 3.0.0.13. Le pasque Ox3f est utilisé partout.

#4 - 22/02/2016 02:53 PM - Veronique bouzid

- Status changed from New to Closed
